Bug 648249 - Review Request: ghc-web-routes - Maintain correctness and composability of URLs
Review Request: ghc-web-routes - Maintain correctness and composability of URLs
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-31 13:03 EDT by Ben Boeckel
Modified: 2013-06-24 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:25:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-10-31 13:03:23 EDT
Spec URL: http://benboeckel.net/packaging/ghc-web-routes/ghc-web-routes.spec
SRPM URL: http://benboeckel.net/packaging/ghc-web-routes/ghc-web-routes-0.23.0-1.fc14.src.rpm
Description:
A collection of types and functions that ensure that URLs
generated by an application are valid. Need more properties
here.

% lintmock fedora-14-x86_64-bb
ghc-web-routes.src: W: spelling-error Summary(en_US) composability -> compos ability, compos-ability, opposability
ghc-web-routes.src: W: strange-permission web-routes-0.23.0.tar.gz 0640L
ghc-web-routes.src: W: strange-permission ghc-web-routes.spec 0640L
ghc-web-routes.x86_64: W: spelling-error Summary(en_US) composability -> compos ability, compos-ability, opposability
ghc-web-routes.x86_64: W: no-documentation
ghc-web-routes-devel.x86_64: W: spelling-error Summary(en_US) composability -> compos ability, compos-ability, opposability
ghc-web-routes-prof.x86_64: E: devel-dependency ghc-web-routes-devel
ghc-web-routes-prof.x86_64: W: spelling-error Summary(en_US) composability -> compos ability, compos-ability, opposability
ghc-web-routes-prof.x86_64: W: no-documentation
ghc-web-routes-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/web-routes-0.23.0/libHSweb-routes-0.23.0_p.a
4 packages and 0 specfiles checked; 1 errors, 9 warnings.
Comment 1 Jens Petersen 2011-06-21 21:38:44 EDT
AFAICT yesod-core >= 0.8 no longer uses webroutes.
Comment 2 Jens Petersen 2011-10-24 21:59:57 EDT
Not really sure if this is still needed.

http://packdeps.haskellers.com/reverse/web-routes
Comment 3 Jens Petersen 2012-04-23 06:22:33 EDT
(In reply to comment #2)
> Not really sure if this is still needed.

I should probably take that back: web-routes seems still to be
a well respected Haskell web library so I guess it would still be
useful to package it even though it doesn't have many revdeps.
Comment 4 Jens Petersen 2013-06-24 06:25:12 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.